Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Xref ganz unten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Xref ganz unten (490 mal gelesen)
fmfm
Mitglied
Facility Management


Sehen Sie sich das Profil von fmfm an!   Senden Sie eine Private Message an fmfm  Schreiben Sie einen Gästebucheintrag für fmfm

Beiträge: 134
Registriert: 18.10.2016

AutoCad 2016

erstellt am: 07. Feb. 2017 14:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen

gibts es eine möglichkeit alle Xrefs nach ganz unten zu legen, ohne sie Anzupacken bzw auszuwählen? (Zeichnungsreihenfolge, Draworder)

Gruss
fmfm

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2318
Registriert: 26.08.2002

ACAD 12 - 2014
ACAD LT 2013- 2016
ZWCAD 2015 Versuch "nun ja"
[s]P3D 2012/(13) SP und Hotfix([/s]

erstellt am: 07. Feb. 2017 14:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fmfm 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von fmfm:
Hallo zusammen

gibts es eine möglichkeit alle Xrefs nach ganz unten zu legen, ohne sie Anzupacken bzw auszuwählen? (Zeichnungsreihenfolge, Draworder)

Gruss
fmfm


ohne anpacken ? Lisp ?
q and D xref Z=-1

aber da gibt es sicher was besseres

cu cw

------------------
Also ich finde Unities gut ... und andere sicher auch
------------------------------------------------
cadwomen™
Plant ist wie Öl suchen, je tiefer man bohrt desto mehr kommt ans Tageslicht

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Fiedelzastrow
Mitglied
Architekt / Bauzeichner


Sehen Sie sich das Profil von Fiedelzastrow an!   Senden Sie eine Private Message an Fiedelzastrow  Schreiben Sie einen Gästebucheintrag für Fiedelzastrow

Beiträge: 898
Registriert: 05.07.2007

Win XP
AutoCAD 2006
AutoCAD 2009
AutoCAD 2012 LT

erstellt am: 07. Feb. 2017 14:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fmfm 10 Unities + Antwort hilfreich

Zitat:
...alle Xrefs nach ganz unten zu legen, ohne sie Anzupacken bzw auszuwählen?

weitere Möglichkeit:
Xref immer auf einen bestimmten Layer einfügen und diesen mittels Script nach hinten setzen.

Gruß
Robert

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fmfm
Mitglied
Facility Management


Sehen Sie sich das Profil von fmfm an!   Senden Sie eine Private Message an fmfm  Schreiben Sie einen Gästebucheintrag für fmfm

Beiträge: 134
Registriert: 18.10.2016

AutoCad 2016

erstellt am: 07. Feb. 2017 15:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

wie würde die script aussehen? = Layername: Xref_01

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 61
Registriert: 24.05.2005

Windows 10
BricsCAD V14 - V16

erstellt am: 07. Feb. 2017 16:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fmfm 10 Unities + Antwort hilfreich

Hi,

z.B. so (Quick&Dirty):

Code:
(defun c:x2back (/ olist)
(if (setq olist (ssget "X" '((8 . "Xref_01"))))
(command "_draworder" olist "" "_b")
)
(princ)
)

Gruß
Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fmfm
Mitglied
Facility Management


Sehen Sie sich das Profil von fmfm an!   Senden Sie eine Private Message an fmfm  Schreiben Sie einen Gästebucheintrag für fmfm

Beiträge: 134
Registriert: 18.10.2016

AutoCad 2016

erstellt am: 07. Feb. 2017 16:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

super vielen Dank

genau so funktioniert es. Kleine Ergänzung noch:

Ist es möglich alle Xrefs die auf dem Layer "Xref_01" liegen auf den Layer 0 zu legen?

Gruss
fmfm

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 17420
Registriert: 14.06.2002

System: F1
und Google

erstellt am: 07. Feb. 2017 16:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fmfm 10 Unities + Antwort hilfreich

Wenn der Ursprungslayer entsperrt ist..
Autocad Befehl Ändern kann Objekteigenschaften (ver)ändern.

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fmfm
Mitglied
Facility Management


Sehen Sie sich das Profil von fmfm an!   Senden Sie eine Private Message an fmfm  Schreiben Sie einen Gästebucheintrag für fmfm

Beiträge: 134
Registriert: 18.10.2016

AutoCad 2016

erstellt am: 07. Feb. 2017 16:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ich mein per lsp ...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fmfm
Mitglied
Facility Management


Sehen Sie sich das Profil von fmfm an!   Senden Sie eine Private Message an fmfm  Schreiben Sie einen Gästebucheintrag für fmfm

Beiträge: 134
Registriert: 18.10.2016

AutoCad 2016

erstellt am: 07. Feb. 2017 17:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

sollte eig mit _merge klappen.... ich probier das morgen mal... so feierabend

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 17420
Registriert: 14.06.2002

System: F1
und Google

erstellt am: 07. Feb. 2017 17:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fmfm 10 Unities + Antwort hilfreich

Nur weil du später die Eingaben in die Befehlszeile  per (command ..) senden möchtest,
bleibt es noch immer der AutoCAD-Befehl.
Ich nehme wohl kaum an das du einen Ansatz benötigtst um den Ändern-Befehl in Lisp nach zu programmieren

Du hast ja bereits die Lisp-Zeilen für
1. Suche alle Objekte <nicht nur xrefs> auf LayerXY,
2. falls vorhanden
3. schreibe folgendes (per Command) in die Befehlszeile..
4. ansonsten mache nichts

Du mußt also nur einen anderen Befehl fernsteuern, denn der Ablauf ist ja 1:1 zu übernehmen,
den Befehlsaufruf sollte man freilich noch anpassen x2back

Wenn man einen festen Befehlsablauf vorgeben möchte, dann muß man den Ablauf auch kennen,
also tippe ÄNDERN in die Befehlszeile ein und schaue dir den Befehlsablauf an, schreibe mit.

Statt der händischen Objektwahl beim testen gibst du im Command, wie oben, OLIST an, ohne Anführungszeichen.
Für Leereingaben falls nötig (= nur ein Enter), etwa zum beenden der Objektwahl, wie im wahren Leben auch, nichts: Also ""

Über den Befehl -LAYER kannst du vorher dafür sorgen das der LayerXY entsperrt ist,
weil man über AutoCAD-Befehle die Eigenschaften eines Objektes auf gesperrtem Layer nicht ändern kann.

Wenn du den Befehlsablauf von -Layer durchgehst, zum entsperren von Layer0, dann schaut es so aus

-Layer<enter>
entsperren<enter>
0<enter>
enter

(command "-LAYER" "entsperren" "0" "")

das _draworder Beispiel oben, mal auf deutsch

ZEICHREIHENF<enter>
objektwahl<enter>
<enter>
unten<enter>

(command "ZEICHREIHENF" olist "" "unten")

Befehl: Ändern


------------------
Da haben sich zwei Antworten überschnitten. Nachtrag:

Zitat:
Original erstellt von fmfm:
sollte eig mit _merge klappen.... ich probier das morgen mal... so feierabend

Du meinst LAYZUSF/_LAYMRG ?
Dann hat sich die Aufgabe soeben wieder geändert..

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fmfm
Mitglied
Facility Management


Sehen Sie sich das Profil von fmfm an!   Senden Sie eine Private Message an fmfm  Schreiben Sie einen Gästebucheintrag für fmfm

Beiträge: 134
Registriert: 18.10.2016

AutoCad 2016

erstellt am: 09. Feb. 2017 10:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

kann mir bitte jemand sagen wieso das als lsp nicht funktioniert:

(command "_-laymrg" "name" "xref_01" "name" "layer123" "_yes" "")

oder

(command "_-laymrg" "_name" "xref_01" "_name" "layer123" "_yes" "")

oder

(command "_-laymrg" "xref_01" "layer123" "_yes" "")

....

Wenn ich das Manuel in die Bbefehlszeile eingib funktioniert es....

gruss

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 17420
Registriert: 14.06.2002

System: F1
und Google

erstellt am: 09. Feb. 2017 10:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fmfm 10 Unities + Antwort hilfreich

Versuche es erneut:
gehe den Befehlsablauf in der Befehlszeile händisch durch und schreibe mit,
dann würdest du einen anderen Ablauf notieren.

SO geht es auch händisch nicht.

hier dein Befehlsablauf wie im Command angegeben, per Hand eingetippt:

Befehl: _-laymrg

Objekt auf Layer zum Zusammenführen auswählen oder [Name]: name

Layernamen eingeben oder [?]: xref_01

Ausgewählte Layer: xref_01.
Objekt auf Layer zum Zusammenführen auswählen oder [Name/Rückgängig]: name

Layernamen eingeben oder [?]: layer123

Ausgewählte Layer: xref_01,layer123.
Objekt auf Layer zum Zusammenführen auswählen oder [Name/Rückgängig]: _yes


*Ungültige Auswahl*
Erwartet einen Punkt oder Letztes/Name

Objekt auf Layer zum Zusammenführen auswählen oder [Name/Rückgängig]:

Objekt auf Ziellayer auswählen oder [Name]:

<Befehl ist weiter aktiv>
------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

runkelruebe
Moderator
Straßen- / Tiefbau




Sehen Sie sich das Profil von runkelruebe an!   Senden Sie eine Private Message an runkelruebe  Schreiben Sie einen Gästebucheintrag für runkelruebe

Beiträge: 7526
Registriert: 09.03.2006

sw:
Win7-x64
Office 365 ProPlus
C3D (& LT )
ET; DACH; Extensions
-------------------
hw:
FX3800
i5 CPU 670
8GB RAM

erstellt am: 09. Feb. 2017 10:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fmfm 10 Unities + Antwort hilfreich

Glaub ich nicht  
Dir fehlt ein Abschluß, Du könntest nämlich durchaus mehr Layer als nur 2 zusammenführen wollen.

BTW, die Geister streiten darüber, ob eine stumpfe Abfolge von command-Aufrufen wirklich als "lisp" zu bezeichnen wäre...


------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fmfm
Mitglied
Facility Management


Sehen Sie sich das Profil von fmfm an!   Senden Sie eine Private Message an fmfm  Schreiben Sie einen Gästebucheintrag für fmfm

Beiträge: 134
Registriert: 18.10.2016

AutoCad 2016

erstellt am: 09. Feb. 2017 11:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

_-laymrg enter name enter xref_01 enter enter name enter layer123 enter yes enter (händisch)

(command "_-laymrg" "_name" "xref_01" (wie füg ich hier ein enter ein?) "_name" "layer123" "_yes" "")

so?:
(command "_-laymrg" "_name" "xref_01(hier leerzeichen?)" "_name" "layer123" "_yes" "")

ihr habt bestimmmt einen Spass :InsertSMI(' %20');

gruss

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

runkelruebe
Moderator
Straßen- / Tiefbau




Sehen Sie sich das Profil von runkelruebe an!   Senden Sie eine Private Message an runkelruebe  Schreiben Sie einen Gästebucheintrag für runkelruebe

Beiträge: 7526
Registriert: 09.03.2006

sw:
Win7-x64
Office 365 ProPlus
C3D (& LT )
ET; DACH; Extensions
-------------------
hw:
FX3800
i5 CPU 670
8GB RAM

erstellt am: 09. Feb. 2017 11:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fmfm 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von fmfm:
(wie füg ich hier ein enter ein?)

Zitat:
Original erstellt von cadffm:
Statt der händischen Objektwahl beim testen gibst du im Command, wie oben, OLIST an, ohne Anführungszeichen.
Für Leereingaben falls nötig (= nur ein Enter), etwa zum beenden der Objektwahl, wie im wahren Leben auch, nichts: Also ""

Ja, haben wir  
Du etwa nicht?  


------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 17420
Registriert: 14.06.2002

System: F1
und Google

erstellt am: 09. Feb. 2017 11:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fmfm 10 Unities + Antwort hilfreich

Du hast also das Zeichnungsreihenfolge-Beispiel nicht durchgearbeitet, das mit dem -LAyer auch nicht.
In beiden ist der Fall "nur ein enter" enthalten

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fmfm
Mitglied
Facility Management


Sehen Sie sich das Profil von fmfm an!   Senden Sie eine Private Message an fmfm  Schreiben Sie einen Gästebucheintrag für fmfm

Beiträge: 134
Registriert: 18.10.2016

AutoCad 2016

erstellt am: 09. Feb. 2017 11:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

1. Danke hat geklappt mit ""

2. ne hab die nicht durchgeführt weil wenn ich _draworder händich eingib dann kann nicht sagen zb XREFs wählen, also nur mit der maus

3. wofür steht olist ('    %20')


ja der spass ist mehr auf eurer seite als auf meiner ('    %20')


wie ihr merkt schaff ich es nichmal die smiley richtig hinzubekommen lol

  endlich haha

[Diese Nachricht wurde von fmfm am 09. Feb. 2017 editiert.]

[Diese Nachricht wurde von fmfm am 09. Feb. 2017 editiert.]

[Diese Nachricht wurde von fmfm am 09. Feb. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 17420
Registriert: 14.06.2002

System: F1
und Google

erstellt am: 09. Feb. 2017 11:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fmfm 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von fmfm:
2. ne hab die nicht durchgeführt weil wenn ich _draworder händich eingib dann kann nicht sagen zb XREFs wählen, also nur mit der maus

Das macht die Objektwahl vom anderen User auch nicht, es wählt ALLE (TopLevel)Objekt auf einem Layer,
ob da XRefs oder Kreise liegen ist dieser Objektwahl egal.
Mir kommt es aber so vor, als hätte ich das schon einmal geschrieben?

Zitat:
Original erstellt von cadffm:
Du hast ja bereits die Lisp-Zeilen für
1. Suche alle Objekte <nicht nur xrefs> auf LayerXY,

2. falls vorhanden
3. schreibe folgendes (per Command) in die Befehlszeile..
4. ansonsten mache nichts


Das du dies nicht 1:1 testen konntest(man kann, aber die Erklärung wollte ich mir zunächst sparen),
man pickt das Objekt dann einfach mit der Maus an, bei der Umsetzung in dem kleinen Lisp trägt man
dann stattdessen OLIST ein. Mir kommt es aber so vor, als hätte ich das schon einmal geschrieben?
Zitat:
Original erstellt von cadffm:
Statt der händischen Objektwahl beim testen gibst du im Command, wie oben, OLIST an, ohne Anführungszeichen.
Für Leereingaben falls nötig (= nur ein Enter), etwa zum beenden der Objektwahl, wie im wahren Leben auch, nichts: Also ""

Zitat:
Original erstellt von fmfm:
3. wofür steht olist

OLIST ist ein frei erfundenes Symbol, nennen wir es LISPVARIABLE mit dem Namen OLIST,
könnte man auch fmfm nennen, egal.
Mit (ssget ....) hat der Kollege oben eine Objektwahl realisiert,
damit man später auf diese zugreifen kann, bindet man den Auswahlsatz(Satz der Objekte die ausgewählt wurden),
an ein Symbol/an eine Variable. Hier wurde der Name OLIST verwendet.

Kleiner Test für die Befehlszeile:
(setq FMFM (ssget "_X"))
wenn die Rückgabe nicht "nil" ist, dann hast du wohl Zeichnungsobjekte in der aktuellen Datei,
im Auswahlsatz sind nun alle enthalten(eigentlich nur ein Verweis auf alle erfassten objekte).

Starte Befehl schieben, bei der Objektwahlabfrage gebe !fmfm ein, beende die Objektwahl mit enter usw.
Cool?
(nur in der Befehlszeile muß das "!" davor damit Acad kapiert was du willst, sonst würde Acad sagen "Befehl fmfm unbekannt.
Innerhalb eines Lisp-Codes ist Acad ja bewußt um was es sich handeln muß, dahe kein "!" davor)

[um Zitate ergänzt]
------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fmfm
Mitglied
Facility Management


Sehen Sie sich das Profil von fmfm an!   Senden Sie eine Private Message an fmfm  Schreiben Sie einen Gästebucheintrag für fmfm

Beiträge: 134
Registriert: 18.10.2016

AutoCad 2016

erstellt am: 09. Feb. 2017 12:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Cool!

habs gerade mit move probiert... hat funktioniert...

gibt es eine Liste wo definiert ist wofür zb diese Codes stehen?:

ssget oder _X


noch ne andere Frage:

_-laymrg;_name;xref_special_fm;"";_name;0;_yes;

_-laymrg;_name;xref_special_fm;" ";_name;0;_yes;

_-laymrg;_name;xref_special_fm; ;_name;0;_yes;

diese 3 Schreibweisen funktionieren nicht. Warum?


Du bietest nicht zufällig kostenlose-live-Kurse an        

[Diese Nachricht wurde von fmfm am 09. Feb. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 17420
Registriert: 14.06.2002

System: F1
und Google

erstellt am: 09. Feb. 2017 12:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fmfm 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von fmfm:
gibt es eine Liste wo definiert ist wofür zb diese Codes stehen?: ssget oder _X

AutoCAD-Hilfe [F1] - sollte man neben dem Tutorial(uknowbescheid) immer parallel offen haben.

Zitat:
noch ne andere Frage:
_-laymrg;_name;xref_special_fm;"";_name;0;_yes;
_-laymrg;_name;xref_special_fm;" ";_name;0;_yes;
_-laymrg;_name;xref_special_fm; ;_name;0;_yes;
diese 3 Schreibweisen funktionieren nicht. Warum?

Da verweise ich mal (erneut?) auf den FAQ-Beitrag für MenüMakros und Script.
Der eigentliche Knackpunkt im konkreten Beispiel 1+2: Du vermischt den Syntax aus Lisp und Menümakro.
Im dritten Fall hast du den Befehlsablauf wieder "versaut", sonst hätte es geklappt.
User FAQ: FAQ: Menü-MAKROs und SKRIPTe

Zitat:
Du bietest nicht zufällig kostenlose-live-Kurse an 

Für Leute die lernen wollen, Eigeninitiative zeigen, zuhören(lesen) und Ratschlägen folgen:
Da gab es sowas bereits ein paar Mal.

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

runkelruebe
Moderator
Straßen- / Tiefbau




Sehen Sie sich das Profil von runkelruebe an!   Senden Sie eine Private Message an runkelruebe  Schreiben Sie einen Gästebucheintrag für runkelruebe

Beiträge: 7526
Registriert: 09.03.2006

sw:
Win7-x64
Office 365 ProPlus
C3D (& LT )
ET; DACH; Extensions
-------------------
hw:
FX3800
i5 CPU 670
8GB RAM

erstellt am: 09. Feb. 2017 12:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fmfm 10 Unities + Antwort hilfreich

"Funktioniert nicht" ist keine Fehlerbeschreibung!

Wo versuchst Du das jetzt? Das sieht mir doch eher nach buttonmakro aus.
Warum mischt Du dann dort " und ; durcheinander?

Was gibt Dir Dein BEFEHLSFENSTER (F2) denn aus? Daran siehst Du doch, wo es hakt:

Code:

_-laymrg;_name;xref_special_fm;"";_name;0;_yes;

Befehl: _-laymrg

Objekt auf Layer zum Zusammenführen auswählen oder [Name]: _name

Layernamen eingeben oder [?]: xref_special_fm

Ausgewählte Layer: xref_special_fm.
Objekt auf Layer zum Zusammenführen auswählen oder [Name/Rückgängig]: ""


*Ungültige Auswahl*
Erwartet einen Punkt oder Letztes/Name

Objekt auf Layer zum Zusammenführen auswählen oder [Name/Rückgängig]: *Abbruch*



Ich weiß, Du magst solche Beiträge nicht, aber: Du fängst nicht vorne an. Das wird aber so eher nix. Da kommen Zufallstreffer heraus, die dieses Mal tun, aber beim nächsten Fehler / Änderung der Anforderung stehst Du wieder vor der Tür.

Und cadffm macht hier bereits einen kostenlosen Livekurs. Läuft seit Oktober 2016 und DU bist dabei 


------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fmfm
Mitglied
Facility Management


Sehen Sie sich das Profil von fmfm an!   Senden Sie eine Private Message an fmfm  Schreiben Sie einen Gästebucheintrag für fmfm

Beiträge: 134
Registriert: 18.10.2016

AutoCad 2016

erstellt am: 09. Feb. 2017 13:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

das funktioniert auch nicht:

_-laymrg;_name;xref_special_fm;_name;0;_yes;

Command: _-laymrg
Select object on layer to merge or [Name]: _name
Enter layer name or [?]: xref_special_fm
Selected layers: xref_special_fm.
Select object on layer to merge or [Name/Undo]: _name
Enter layer name or [?]: 0
Cannot merge current layer.
Selected layers: xref_special_fm.
Select object on layer to merge or [Name/Undo]: _yes
*Invalid selection*
Expects a point or Last/Name


für meine Kenntnisse bleibt leider keine Andere schreibweise übrig...

ich weiss nun durch euch das ich Zwischendrin irgendwie "Enter" sagen muss... aber wie?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 17420
Registriert: 14.06.2002

System: F1
und Google

erstellt am: 09. Feb. 2017 13:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fmfm 10 Unities + Antwort hilfreich

Doch ein Troll 

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 880
Registriert: 27.11.2003

Win 7/64 bit
Intel(R) Core(TM) i5
NVIDIA Quadro FX 580
ACAD, Civil-3D 2011/2012/2014

erstellt am: 09. Feb. 2017 13:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fmfm 10 Unities + Antwort hilfreich

Naja, eigentlich siehst Du es ja in der Ausgabe.

Hier:

Zitat:
Original erstellt von fmfm:
das funktioniert auch nicht:
..-
Select object on layer to merge or [Name/Undo]: _yes
*Invalid selection*
Expects a point or Last/Name[/i]
...

klemmt es. Dein _yes kommt zu früh, zwischen 0 und _yes muss ein ENTER (also ; ) mehr rein.

HTH

Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fmfm
Mitglied
Facility Management


Sehen Sie sich das Profil von fmfm an!   Senden Sie eine Private Message an fmfm  Schreiben Sie einen Gästebucheintrag für fmfm

Beiträge: 134
Registriert: 18.10.2016

AutoCad 2016

erstellt am: 09. Feb. 2017 13:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

runkelruebe
Moderator
Straßen- / Tiefbau




Sehen Sie sich das Profil von runkelruebe an!   Senden Sie eine Private Message an runkelruebe  Schreiben Sie einen Gästebucheintrag für runkelruebe

Beiträge: 7526
Registriert: 09.03.2006

sw:
Win7-x64
Office 365 ProPlus
C3D (& LT )
ET; DACH; Extensions
-------------------
hw:
FX3800
i5 CPU 670
8GB RAM

erstellt am: 09. Feb. 2017 13:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fmfm 10 Unities + Antwort hilfreich

Diesmal fehlt Dir zwar auch ein enter, aber Du hast zusätzlich ein anderes Problem angerissen (und es sind noch lang nicht alle Stolpersteine aufgetaucht  )
Zitat:
Command: _-laymrg
Select object on layer to merge or [Name]: _name
Enter layer name or [?]: xref_special_fm
Selected layers: xref_special_fm.
Select object on layer to merge or [Name/Undo]: _name
Enter layer name or [?]: 0
Cannot merge current layer.
Selected layers: xref_special_fm.
Select object on layer to merge or [Name/Undo]: _yes
*Invalid selection*
Expects a point or Last/Name

Außerdem sagst Du doch in diesem Makro schon 6x enter....

------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fmfm
Mitglied
Facility Management


Sehen Sie sich das Profil von fmfm an!   Senden Sie eine Private Message an fmfm  Schreiben Sie einen Gästebucheintrag für fmfm

Beiträge: 134
Registriert: 18.10.2016

AutoCad 2016

erstellt am: 09. Feb. 2017 13:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

_-laymrg;_name;xref_special_fm;;_name;0;_yes;

endlich klappt es.

Danke für die Folter und für die Lösung haha   


merke gerade selber das ich mich sehr blöd anstelle...
danke für euer Verständnis

[Diese Nachricht wurde von fmfm am 09. Feb. 2017 editiert.]

[Diese Nachricht wurde von fmfm am 09. Feb. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

runkelruebe
Moderator
Straßen- / Tiefbau




Sehen Sie sich das Profil von runkelruebe an!   Senden Sie eine Private Message an runkelruebe  Schreiben Sie einen Gästebucheintrag für runkelruebe

Beiträge: 7526
Registriert: 09.03.2006

sw:
Win7-x64
Office 365 ProPlus
C3D (& LT )
ET; DACH; Extensions
-------------------
hw:
FX3800
i5 CPU 670
8GB RAM

erstellt am: 09. Feb. 2017 13:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für fmfm 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von fmfm:
Danke für die Folter und für die Lösung haha  

Zitat:
Sage es mir, und ich werde es vergessen. Zeige es mir, und ich werde es vielleicht behalten. Lass es mich tun, und ich werde es können.

Ich denke, noch sind wir beim Zeigen, aber das wird schon.
Bis zum nächsten Mal 

PS: ich bettel normalerweise nicht um die virtuellen Gummipunkte, aber manch ein Helferlein hier freut sich bestimmt über eine Anerkennung (des TO) in Form von Unities.
Hast Du Deinen Kursleiter schon ordnungsgemäß mit den Dingern überschüttet?

------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de